#
# spec file for package perl-HTTP-CookieJar
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name HTTP-CookieJar
Name:           perl-HTTP-CookieJar
Version:        0.014
Release:        1.9
License:        Apache-2.0
Summary:        Minimalist HTTP user agent cookie jar
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(parent)
#BuildRequires:  perl(Time::Local) >= 1.1901
BuildRequires:  perl(URI)
Requires:       perl(HTTP::Date)
Requires:       perl(parent)
#Requires:       perl(Time::Local) >= 1.1901
Recommends:     perl(Mozilla::PublicSuffix)
%{perl_requires}
# MANUAL BEGIN
# ATTENTION: Manual fix because of perl versioning vs. rpm
# Time::Local started to use only 2 digits for the minor version
# In perl, 1.1901 equals v1.190.1 and 1.28 v.1.280
BuildRequires:  perl(Time::Local) >= 1.28
Requires:       perl(Time::Local) >= 1.28
# MANUAL END

%description
This module implements a minimalist HTTP user agent cookie jar in
conformance with at http://tools.ietf.org/html/rfc6265.

Unlike the commonly used HTTP::Cookies module, this module does not require
use of HTTP::Request and HTTP::Response objects. An LWP-compatible adapter
is available as HTTP::CookieJar::LWP.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING.mkdn README
%license LICENSE

%changelog
* Tue Jul 26 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.014
  see /usr/share/doc/packages/perl-HTTP-CookieJar/Changes
  0.014     2022-07-25 09:45:56-04:00 America/New_York
  - No changes from 0.013
  0.013     2022-07-17 10:13:20-04:00 America/New_York (TRIAL RELEASE)
    [FIXED]
  - Cookie last access time is updated when a cookie is retrieved; this has
    no functional effect but is consistent with RFC 6265.
* Thu Jun 17 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.012
  see /usr/share/doc/packages/perl-HTTP-CookieJar/Changes
  0.012     2021-06-16 05:34:31-04:00 America/New_York
  - No changes from 0.011
  0.011     2021-06-15 19:29:51-04:00 America/New_York (TRIAL RELEASE)
    [FIXED]
  - Pushed test cookie expiration dates from 2021 to 2041.
    If I'm still maintaining this module in 2041, I'll bump
    them again then.
* Thu Jan 28 2021 Frank Schreiner <FSchreiner@suse.com>
- moved previous fix to cpanspec.yml and re-run cpanspec
* Wed Sep 30 2020 Tina Müller <tina.mueller@suse.com>
- Fix 'perl(Time::Local) >= 1.1901' dependency manually
* Mon Sep 21 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.010
  see /usr/share/doc/packages/perl-HTTP-CookieJar/Changes
  0.010     2020-09-20 11:28:49-04:00 America/New_York
  - No changes from 0.009
  0.009     2020-09-17 22:39:16-04:00 America/New_York (TRIAL RELEASE)
    [FIXED]
  - Fixed handling of edge case where Max-Age == 0
* Thu Aug 29 2019 Tina Mueller <tina.mueller@suse.com>
- Set minimum version of Time::Local version to 1.28 because of the version
  system difference between perl and rpm
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- initial package 0.008
  * created by cpanspec 1.78.09
